Bug 165930 - Review Request: check : A unit test framework for C
Review Request: check : A unit test framework for C
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
http://check.sourceforge.net
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-14 17:17 EDT by Tom "spot" Callaway
Modified: 2011-01-18 12:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 04:58:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-08-14 17:17:40 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/check.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/check-0.9.2-1.src.rpm
Description: 
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests
are run in a separate address space, so Check can catch both assertion
failures and code errors that cause segmentation faults or other signals.
The output from unit tests can be used within source code editors and IDEs.
Comment 1 W. Michael Petullo 2005-08-14 17:58:58 EDT
This package builds on my iBook.  I took a quick look at the RPM specification
file and it also looked okay.
Comment 2 José Matos 2005-09-12 04:58:42 EDT
+ It build in mock on x86_64  
+ rpmlint  
W: check-devel no-documentation  
  
  It can be ignored.  
  
+ License is correct, valid for FE, and included in the package. 
+ spec file is readable. 
+ source file matches upstream. 
+ Requires and BR are correct. 
+ %post and %postun are correct. 
 
Approved. 
 
FWIW, a new version 0.9.3 is out. 
 
 
Comment 3 Tom "spot" Callaway 2005-09-12 10:32:08 EDT
Thanks, 0.9.3 went into the initial commit.
Comment 4 Jerry James 2010-12-24 00:04:27 EST
Check is available in all current Fedora releases and in RHEL 5 and 6.  Paul Howarth needs it in EPEL 4 for the proftpd test suite.

Package Change Request
======================
Package Name: check
New Branches: el4
Owners: jjames pghmcfc
InitialCC:
Comment 5 Kevin Fenzi 2011-01-02 15:08:59 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-01-02 17:40:45 EST
check-0.9.3-5.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/check-0.9.3-5.el4
Comment 7 Fedora Update System 2011-01-18 12:25:50 EST
check-0.9.3-5.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.